• 微信公众号:美女很有趣。 工作之余,放松一下,关注即送10G+美女照片!

Dockerfile CVE-2019-12409 Apache Solr 远程代码执行漏洞

开发技术 开发技术 4小时前 3次浏览

需要的环境

Dockerfile 
solr-8.2.0
jdk1.8.0_181

Dockerfile

ADD solr-8.2.0.tar.gz /
ADD jdk1.8.0_181.tar.gz /usr/local/
ENV MYPATH /usr/local
WORKDIR $MYPATH
ENV JAVA_HOME /usr/local/jdk1.8.0_181
ENV CLASSPATH $JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar
ENV PATH $PATH:$JAVA_HOME/bin
EXPOSE 8983
EXPOSE 18983
RUN chmod -R 777 /usr/local/jdk1.8.0_181/bin/ 
    && yum -y install lsof curl 
    && ln -s /solr-8.2.0/bin/solr /usr/local/bin/
CMD /solr-8.2.0/bin/solr -e dih -force && tail -f /dev/null

程序员灯塔
转载请注明原文链接:Dockerfile CVE-2019-12409 Apache Solr 远程代码执行漏洞
喜欢 (0)